"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserAccessToken = exports.IdathaAuth = exports.IdathaConnection = void 0;
var config_1 = require("../config/config");
var IdathaConnection = (function () {
    function IdathaConnection() {
        this.user = config_1.IDATHA_USER;
        this.password = config_1.IDATHA_PASSWORD;
        this.ip = config_1.IDATHA_IP;
        this.httpPort = config_1.IDATHA_HTTP_PORT;
        this.sshPort = config_1.IDATHA_SSH_PORT;
    }
    return IdathaConnection;
}());
exports.IdathaConnection = IdathaConnection;
var IdathaAuth = (function () {
    function IdathaAuth(vcc, userName, password, realm) {
        this.vcc = vcc;
        this.userName = userName;
        this.password = password;
        this.realm = realm;
    }
    return IdathaAuth;
}());
exports.IdathaAuth = IdathaAuth;
var UserAccessToken = (function () {
    function UserAccessToken(vcc, userName, accessToken, realm, createdDate) {
        this.vcc = vcc;
        this.userName = userName;
        this.accessToken = accessToken;
        this.realm = realm;
        this.createdDate = createdDate;
    }
    return UserAccessToken;
}());
exports.UserAccessToken = UserAccessToken;
