"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TipificationItem = exports.TipificationQuery = exports.Tipification = void 0;
var Tipification = (function () {
    function Tipification() {
        this.id = null;
        this.description = null;
        this.detail = null;
        this.tipificationQuery = new TipificationQuery();
        this.items = [];
    }
    return Tipification;
}());
exports.Tipification = Tipification;
var TipificationQuery = (function () {
    function TipificationQuery() {
        this.tipificationId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.acceptanceInteger = 0;
    }
    return TipificationQuery;
}());
exports.TipificationQuery = TipificationQuery;
var TipificationItem = (function () {
    function TipificationItem() {
        this.scoreId = null;
        this.tipificationId = null;
        this.secondLevelItemId = null;
        this.id = null;
        this.description = null;
        this.order = null;
        this.isChecked = false;
    }
    return TipificationItem;
}());
exports.TipificationItem = TipificationItem;
