"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsStringAndValiadId = exports.IsStringAndEmpty = exports.ValidateInt = void 0;
var validator = require("validator");
function ValidateInt(value) {
    if (isNaN(value)) {
        return false;
    }
    var x = parseFloat(value);
    return (x | 0) === x;
}
exports.ValidateInt = ValidateInt;
function IsStringAndEmpty(str) {
    if (typeof str !== 'string') {
        return true;
    }
    else {
        return validator.isEmpty(str);
    }
}
exports.IsStringAndEmpty = IsStringAndEmpty;
function IsStringAndValiadId(str) {
    if (typeof str !== 'string') {
        return false;
    }
    else {
        return validator.matches(str, /^[0-9a-zA-Z\-\_]+$/);
    }
}
exports.IsStringAndValiadId = IsStringAndValiadId;
