"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redis = void 0;
var BatchScheduleRedis = require("./redis/batch-schedule.redis");
var DomainRedis = require("./redis/domain.redis");
var EvaluationRedis = require("./redis/evaluation.redis");
var EvaluationPlanAbilityRedis = require("./redis/evaluation-plan-ability.redis");
var I6Integration = require("./redis/i6-integration.redis");
var VccRedis = require("./redis/vcc.redis");
var RoleRedis = require("./redis/role.redis");
var SessionRedis = require("./redis/session.redis");
var UserRedis = require("./redis/user.redis");
var InteractionRedis = require("./redis/interaction.redis");
var ProcessRedis = require("./redis/process.redis");
var CognitiveRedis = require("./redis/cognitive.redis");
var NluRedis = require("./redis/nlu.redis");
var QueueRedis = require("./redis/queue.redis");
var PlatformRedis = require("./redis/platform.redis");
var StudyTemplateThemeRedis = require("./redis/study-template-theme.redis");
var SpeechmaticsRedis = require("./redis/speechmatics.redis");
var TipificationRedis = require("./redis/tipification.redis");
var CleanerRedis = require("./redis/cleaner.redis");
var Redis = {};
exports.Redis = Redis;
Object.assign(Redis, BatchScheduleRedis, DomainRedis, EvaluationRedis, EvaluationPlanAbilityRedis, I6Integration, VccRedis, RoleRedis, SessionRedis, StudyTemplateThemeRedis, UserRedis, InteractionRedis, ProcessRedis, CognitiveRedis, QueueRedis, PlatformRedis, NluRedis, SpeechmaticsRedis, TipificationRedis, CleanerRedis);
