"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NLU = void 0;
var NLU = (function () {
    function NLU(name, culture, description, appId, subscriptionKey, lastTrainedDate, lastPublishedDate, intentsCount, entitiesCount, endpointHitsCount, isPublished, isTrained, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.name = name;
        this.culture = culture;
        this.description = description;
        this.appId = appId;
        this.subscriptionKey = subscriptionKey;
        this.lastTrainedDate = lastTrainedDate;
        this.lastPublishedDate = lastPublishedDate;
        this.intentsCount = intentsCount;
        this.entitiesCount = entitiesCount;
        this.endpointHitsCount = endpointHitsCount;
        this.isPublished = isPublished;
        this.isTrained = isTrained;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
        this.vcc = null;
        this.cognitiveEngine = null;
        this.isSystemApp = false;
        this.needTrain = false;
        this.needPublish = false;
        this.importNLU = false;
        this.importNLUFrom = null;
        this.status = 0;
        this.statusCode = 'AVAILABLE';
        this.totalRetries = 0;
        this.originalName = '';
        this.phraseToTest = '';
    }
    return NLU;
}());
exports.NLU = NLU;
